ALLOC_VM_AREA(9)

NAME
alloc_vm_area - allocate a range of kernel address space

SYNOPSIS

struct vm_struct * alloc_vm_area(size_t size, pte_t ** ptes);

ARGUMENTS

size
    size of the area

ptes
    returns the PTEs for the address space

RETURNS

NULL on failure, vm_struct on success

This function reserves a range of kernel address space, and allocates pagetables to map that range. No actual mappings are created.

If ptes is non-NULL, pointers to the PTEs (in init_mm) allocated for the VM area are returned.

COPYRIGHT